diff --git a/src/backend/utils/Gen_fmgrtab.pl b/src/backend/utils/Gen_fmgrtab.pl
index 37628a85c7..94422fd1ad 100644
--- a/src/backend/utils/Gen_fmgrtab.pl
+++ b/src/backend/utils/Gen_fmgrtab.pl
@@ -207,7 +207,7 @@ foreach my $s (sort { $a->{oid} <=> $b->{oid} } @fmgr)
 }
 
 # Create the fmgr_builtins table, collect data for fmgr_builtin_oid_index
-print $tfh "\nconst FmgrBuiltin fmgr_builtins[] = {\n";
+print $tfh "\nstatic const FmgrBuiltin fmgr_builtins[] = {\n";
 my %bmap;
 $bmap{'t'} = 'true';
 $bmap{'f'} = 'false';
diff --git a/src/backend/utils/adt/datetime.c b/src/backend/utils/adt/datetime.c
index 1b86fff2fb..1c826bae15 100644
--- a/src/backend/utils/adt/datetime.c
+++ b/src/backend/utils/adt/datetime.c
@@ -72,16 +72,16 @@ static pg_tz *FetchDynamicTimeZone(TimeZoneAbbrevTable *tbl, const datetkn *tp,
 								   DateTimeErrorExtra *extra);
 
 
-const int	day_tab[2][13] =
+static const int	day_tab[2][13] =
 {
 	{31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, 0},
 	{31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31, 0}
 };
 
-const char *const months[] = {"Jan", "Feb", "Mar", "Apr", "May", "Jun",
+static const char *const months[] = {"Jan", "Feb", "Mar", "Apr", "May", "Jun",
 "Jul", "Aug", "Sep", "Oct", "Nov", "Dec", NULL};
 
-const char *const days[] = {"Sunday", "Monday", "Tuesday", "Wednesday",
+static const char *const days[] = {"Sunday", "Monday", "Tuesday", "Wednesday",
 "Thursday", "Friday", "Saturday", NULL};
 
 
diff --git a/src/backend/utils/adt/lockfuncs.c b/src/backend/utils/adt/lockfuncs.c
index 13009cc3d0..bbbcad8d44 100644
--- a/src/backend/utils/adt/lockfuncs.c
+++ b/src/backend/utils/adt/lockfuncs.c
@@ -26,7 +26,7 @@
  * in the docs for the pg_locks view and update the WaitEventLOCK section in
  * src/backend/utils/activity/wait_event_names.txt.
  */
-const char *const LockTagTypeNames[] = {
+static const char *const LockTagTypeNames[] = {
 	"relation",
 	"extend",
 	"frozenid",
diff --git a/src/common/wchar.c b/src/common/wchar.c
index 76b7dfdfcb..a1fe7c6dc7 100644
--- a/src/common/wchar.c
+++ b/src/common/wchar.c
@@ -2012,7 +2012,7 @@ pg_utf8_islegal(const unsigned char *source, int length)
  * encoding info table
  *-------------------------------------------------------------------
  */
-const pg_wchar_tbl pg_wchar_table[] = {
+static const pg_wchar_tbl pg_wchar_table[] = {
 	[PG_SQL_ASCII] = {pg_ascii2wchar_with_len, pg_wchar2single_with_len, pg_ascii_mblen, pg_ascii_dsplen, pg_ascii_verifychar, pg_ascii_verifystr, 1},
 	[PG_EUC_JP] = {pg_eucjp2wchar_with_len, pg_wchar2euc_with_len, pg_eucjp_mblen, pg_eucjp_dsplen, pg_eucjp_verifychar, pg_eucjp_verifystr, 3},
 	[PG_EUC_CN] = {pg_euccn2wchar_with_len, pg_wchar2euc_with_len, pg_euccn_mblen, pg_euccn_dsplen, pg_euccn_verifychar, pg_euccn_verifystr, 2},